Lmule


  • 0

    El otro dia decidi buscar algun programa tipo emule para linux, y encontre el lmule. me puse a instalarlo, pero no lo consigo hacer… alguien me puede echar una mano? El caso es que hay qe instalar el wxGTK y aplicarle un patch. Luego compilarlo, y despues compilar el lmule... pero me sigue dando el error de que no encuentra el wxGTK... :\ alguien me puede echar una mano??
    Tambien he leido que hay gente que con wine ha conseguido emularlo... pero yo con wine lo unico qe he conseguido ha sido usar el IRCap :rolleyes:



  • 1

    yo mas que ayudarte… te recomendaría otro :) El que mas se usa es el mldonkey, bastante bueno y con interfaz gráfica y en consola, echale un ojo porque merece la pena.



  • 2

    alabo el mldonkey, porque es versatil como pocos y ademas existe un kio_slave y un aplique para la barra en KDE asi como diversos front-ends no-GTK como Kangrejo.

    En cambio, a mi personalmente el que mejor me ha ido es el eDonkey2000 combinado con esta GUI en GTK. Aunque es mas complicado de instalar y poner a punto.

    MLDonkey : versatil
    eDonkey2000 : potente

    Para no salirme del tema PiPeLiNe solamente tienes que buscar esa libreria que te falta, a mi no me ha costado encontrarla. Aqui la tienes fresquita en RPM. :p

    Un saludo!



  • 3

    Bien.. como no me iba el lmule, probe directamente con el mldonkey… pero no se si tengo que estar unas horas esperando antes de que empieze a bajar.. o ke...
    Empiezo a estar muy mosca,,, me da que el problema ya no es de los programas si no de la mierda de linea de cable que tengo...

    El mldonkey veo que tiene muy buena pinta, es compatible con soulseek, limeware y unos cuantos mas :)
    Haber si le doy un poco de caña...

    Gracias de todas formas ;)



  • 4

    Publicado originalmente por Membris Khan

    Para no salirme del tema PiPeLiNe solamente tienes que buscar esa libreria que te falta, a mi no me ha costado encontrarla. Aqui la tienes fresquita en RPM. :p

    Un saludo!

    MMMMM creo que esa wxGTK no sirve para el lmule, mas que nada porque necesitas la 2.4 :) pero yo tengo una duda. he instalado el GTK 2.4 (facil de encontrar en www.google.com/linux ) pero a la hora de parchear, es necesario parchear el wxGTK no lo doi parcheado y eso que me dice la instruccion patch -p0 < xw-patch. Creo que el principal problema es que no me encuentra el wxGTK h buscandolo lo unico que encuentro es /usr/share/wxGTK/doc pero ahi claro está no hay nada xD y eso que he instalado a partir de un RPM jejejeje la cuestion es que está instalado el wxGTK pero no lo doi parcheado porque el RPM nuse ande me lo ha metido y claro asi no se puede instlar el lmule



  • 5

    Publicado originalmente por OxygeN
    MMMMM creo que esa wxGTK no sirve para el lmule, mas que nada porque necesitas la 2.4 :)

    Aqui tienes un RPM con la version 2.4 xD

    O si prefieres un rpm para Mandrake sin problema.

    Uno para Conectiva, otro para PLD.

    Incluso tienes RPMs optimizados para i686 o Athlon de la version que pides.

    Puedes instalar el RPM por distribucion que quieras, solo que si tienes una de esas distros es mejor instalar el rpm nativo. Solamente no podras instalar un rpm para i686 si tienes un i586, etc… pero eso es obvio.

    Saludos!



  • 6

    ya si not problem xD la cuestion es el puñetero rpm ande me mete las cosas pk dice que ta instalado pero no dice ande ta xD y asi no puedo parchear xD



  • 7

    OxygenN usa un gestor de paquetes avanzado como Kpackage. Te muestra la lista completa de cada fichero y donde se instalara cada uno ademas de toda la informacion adjunta y las dependencias sagradas :D



  • 8

    tanks tendre que mirar esque toi acostumbrado a perderme por los comandos como rpm -vi -Uh y temino liado xD a ver k pasa xD por cierto Membris Khan ultimamente te tengo en todas las ramas que hablo xD te empiezo a cojer cariño :risitas: :risitas: pero sin mariconadas eh!



  • 9

    Pipeline, mira en la página de www.eshocked2k.com porque los tenían ya compiados en rpm y debian. Así te libras de problemas con las GTK que en caso de dar problemas son bastante retorcidas.

    Por cierto por ahí decían que era mejor el mldonkey, es mejor porque se conecta a las redes de grokster, pero el problema es que ya no se conecta a las de edonkey, porque está bastante mal estructurado y la red de edonkey ha decidido no soportarlo, es más leí que los servidores lugdunum modernos no aceptan conexiones de mldonkey al igual que tienen limitaciones muy restrictivas a los clientes con LOW-ID, así que mejor el lmule que es un clon de la 0.26d



  • 10

    la putada es qeu tengo slackware, y no me valen ni rpm ni deb, o tgz, o tar.gz y demas…
    Yo probe el mldonkey y no iba muy bien que digamos, pero bueno.. haber si encuentro algo por ahi que vaya bien :)

    Muchsa gracias a todos ;)



  • 11

    PiPeLiNe el RPM es un programa y para poder usarlo te bastara con compilar desde las fuentes o incluso puede que haya un paquete tgz del rpm para Slack. Si hasta Debian y Gentoo llevan el RPM, y es que nunca se sabe :D



  • 12

    lo el lmule.rpm hay un pekeño problema pk por supuesto me falta un archivo de dependencias jejejejeje xD ahora mismo nose cual es pk toi en clase pero ya os lo dare para k lo buskeis xDDDD la cuestion es que en rpmfind.net no estaba xD



  • 13

    Rpmfind esta muy bien pero me gusta aun mas RPM Pbone. Va muy rapido y es mas detallado ademas de producir mas resultados porque clasifica los archivos por mirrors ademas de por distribuciones :D

    Cuando no encuentres algo en rpmfind busca en pbone y viceversa, es lo que hago yo :)



  • 14

    Membris Khan definitivamente te veo en todos laos xD

    tanks de nuevo



  • 15

    Oxygen pues igual voy a ser tu angel de la guarda :D :D :D



  • 16

    bueno retomando el tema sobre el lmule
    yo lo tengo instalado, tengo echos enlaces a mis antiguas carpetas temp e incoming a la particion almacen qeu tengo de windows
    me lo pilla todo, tengo un monton de servidores del servers.met y todo en general
    pero si intento cambiar alguna opcion, por ejemplo los limites de subida o bajada, suelo poner a 27 y 9, pues bueno se tira un rato haciendo sus labores y casca
    osea uqe se cierra el lmule
    y me tiene mosqueado, aunque le deje al asistente configurar como quiera y eso, desaparece el programa de marras
    a ver si algun iluminado sabe que hacer
    gracias

    PD: el lmule conecta a servidores, se pone a subir, encuentra fuentes…. solo eso que al cambiar las preferencias se va al carajo



  • 17

    Bueno, yo los he probado todos y me han decepcionado todos menos el eDonkey2000. Solo te puedo echar un cable con ese, a veri si algun lmulero dice algo :susto:



  • 18

    pues que encontre el archivo con las preferencias uqe no esta enel directorio oculto de mi carpeta, sino que esta fuera, y bueno me he puesto a modificarlo manualmente, y como habia opciones uqe no sabia, pues he abierto mis antiguas preferencias en windows y a copiarlas, practiamente son las mismas, hay un par que no estan o sino estan en distinto orden, pero bueno que los limites de subida y bajada y tal como me gusta ya esta puesto, lo uqe pasa es que aunque en el emule tenga puesta la opcion de autoconectar al iniciar, el muy jodio no autconecta
    vaya paranoia
    me tendre que fijar algo mejro a ver que es lo que pasa, pero bueno ya lo tengo funcionando, a ver si ahora le da por enganchar algo
    tb tengo un problema, el caso es uqe a mi me gusta no ver la gente que esta subiendo y en windows me arranca con la parte de ventana de las subidas abajo del todo, para ver asi todos mis archivos, con este me arranca como le da la gana, pero tampoco he cambiado ninguna opcion sobre el modo grafico, tendre que mirar y trastear algo mas, pero me sigue mosqueando pq si intento desde el programa cambiar alguna opcion me falla
    pense que seria por los permisos pero ela rchivo esta puesto como escritura y es mio, no del root, supongo que puede ser un bug del programador o tb como el emule trabaja con .net de microsoft y las wx son como una emulacion o asi de estas haya algun error o incompatibilidad pero entonces esto tb le deberia ocurrir a mas gente
    a ver si hay alguna otra victima que instale este jejeje a ver si tb le pasa

    PD: se me conecta cuando quiere,desconecta pq le da la gana, antes me decia lo del lowid que no se que es, le pongo el puerto 4680 y ya no tengo problema, algo lei una vez pero no se pq es eso, que poniendo otro puerto qeu asi no se satura, bueno asi tb me conecta mas rapido a otros servidores, pero me sigue mosqueando el que no reconecte al iniciar el programa
    es normal que me consuma tantos recurso que hasta escribir por teclado se hace lento, y que sit oco un boton del lmule, tarde un rato en refrescarse…. es que esto me da a mi que explota



  • 19

    ya esta bajando de dos archivos, que ilu, ya me va perfectamente y cuando se cae del servidor reconecta solo, osea uqe puedo dejarlo toda la noche y que haga lo que le de la gana

    ya queda menos para mi migracion total a linux tengo qeu compilar kernel optimizar el sistema algo mas, para poder reproducir videos, meter algunprogramilla, configurar la camara digital (esto muy importante), y poner mas programas de uso general, como bajar musica pq estoy solo con un mp3 de 3 minutos y me puede entrar paranoia si escucho la dichosa cancion todo el rato

    ah y mirando las estadisticas del lmule, solo tengo 2 seres que usen el lmule, casi somos una comunidad importante
    ahora no me baja apenas, supongo pq tengo eso del sistema de creditos de emule a 0, no se si sabeis como va, pero entre mas subas mas prioridad tienes respecto a bajarte de ese usuario que otro que le haya cedido menos megas (creo que era asi, pq asi comparte mas gente)





Has perdido la conexión. Reconectando a Hardlimit.